<div xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 data-namespace-typo3-fluid="true"  lang="en">
	<f:layout name="Default"/>
	<f:section name="Main">

		<f:if condition="{settings.list.headline}">
			<h1 class="text-center"><f:translate key="tx_jobfinder_label.job_vacancies_title" /></h1>
		</f:if>

		<f:flashMessages />

		<f:if condition="{f:count(subject: jobs)} > 0">

			<f:if condition="{settings.list.filter.active}">
				<f:render partial="Job/List/Filter" arguments="{_all}"/>
			</f:if>

			<div class="row job-list-result">
				<div class="col-12">
					<ul class="job-list-message-no-result typo3-messages" style="display:none">
						<li class="alert alert-danger">
							<h4 class="alert-title"><f:translate key="tx_jobfinder_title.search_no_result" /></h4>
							<p class="alert-message"><f:translate key="tx_jobfinder_message.search_no_result" /></p>
						</li>
					</ul>
				</div>
				<div class="col-12">
					<f:if condition="{f:count(subject: jobs)} == 1">
						<f:then>
							<h2>
								<span class="job-list-item-count-label"><f:translate key="tx_jobfinder_label.job_list_search_results" /></span>
								<span class="job-list-item-count">{f:count(subject: jobs)}</span>
								<span class="job-list-item-count-singular"><f:translate key="tx_jobfinder_label.job_list_singular" /></span>
								<span class="job-list-item-count-plural" style="display:none"><f:translate key="tx_jobfinder_label.job_list_plural" /></span>
							</h2>
						</f:then>
						<f:else>
							<h2>
								<span class="job-list-item-count-label"><f:translate key="tx_jobfinder_label.job_list_search_results" /></span>
								<span class="job-list-item-count">{f:count(subject: jobs)}</span>
								<span class="job-list-item-count-singular" style="display:none"><f:translate key="tx_jobfinder_label.job_list_singular" /></span>
								<span class="job-list-item-count-plural"><f:translate key="tx_jobfinder_label.job_list_plural" /></span>
							</h2>
						</f:else>
					</f:if>
				</div>
			</div>

			<f:if condition="{settings.list.paginationTop}">
				<f:render partial="Job/List/Pagination" arguments="{_all}"/>
			</f:if>

			<f:comment><!-- Table header --></f:comment>
			<div class="row job-list-header m-0 d-none d-lg-flex"
				 data-sort-by="{settings.list.defaultSorting.sortBy}"
				 data-sort-order="{settings.list.defaultSorting.sortOrder}">
				<div class="col-2" data-sort="publicationDate"><f:translate key="tx_jobfinder_label.job_list_header_date" /></div>
				<div class="col-3" data-sort="title"><f:translate key="tx_jobfinder_label.job_list_header_job_title" /></div>
				<div class="col-2" data-sort="location"><f:translate key="tx_jobfinder_label.job_list_header_location" /></div>
				<div class="col-2" data-sort="employmentType"><f:translate key="tx_jobfinder_label.job_list_header_working_hours" /></div>
				<div class="col-3" data-sort="category"><f:translate key="tx_jobfinder_label.job_list_header_business_type" /></div>
			</div>
			<f:comment><!-- Table content --></f:comment>
			<div class="job-list-content">
				<f:for each="{jobs}" as="job">

					<div class="row job-list-content-row mx-0 mb-4 mb-lg-0"
						 data-publication-date="{f:format.date(date: job.publicationDate, format: 'Y-m-d')}"
						 data-title="{job.title}"
						 data-location="{job.location.location}"
						 data-latitude="{job.location.latitude}"
						 data-longitude="{job.location.longitude}"
						 data-employment-type="{job.employmentType.title}"
						 data-category-type="{job.category.title}"
						 data-search-word="{job.occupation.title}">
						<div class="col-12 col-lg-2">
							<f:link.action
									action="show"
									title="{f:translate(key: 'tx_jobfinder_title.job_list_header_date')}"
									arguments="{job: job}"
									pageUid="{settings.detail.pageUid}">
								<strong class="d-lg-none"><f:translate key="tx_jobfinder_label.job_list_header_date" />: </strong><f:format.date format="d.m.Y">{job.publicationDate}</f:format.date>
							</f:link.action>
						</div>
						<div class="col-12 col-lg-3">
							<f:link.action action="show" arguments="{job: job}" title="{job.title}" pageUid="{settings.detail.pageUid}">
								<strong class="d-lg-none"><f:translate key="tx_jobfinder_label.job_list_header_job_title" />: </strong>{job.title}
							</f:link.action>
						</div>
						<div class="col-12 col-lg-2">
							<f:link.action action="show" arguments="{job: job}" title="{job.location.location}" pageUid="{settings.detail.pageUid}">
								<strong class="d-lg-none"><f:translate key="tx_jobfinder_label.job_list_header_location" />: </strong>{job.location.location}
							</f:link.action>
						</div>
						<div class="col-12 col-lg-2">
							<f:link.action action="show" arguments="{job: job}" title="{job.employmentType.title}" pageUid="{settings.detail.pageUid}">
								<strong class="d-lg-none"><f:translate key="tx_jobfinder_label.job_list_header_working_hours" />: </strong>{job.employmentType.title}
							</f:link.action>
						</div>
						<div class="col-12 col-lg-3">
							<f:link.action action="show" arguments="{job: job}" title="{job.category.title}" pageUid="{settings.detail.pageUid}">
								<strong class="d-lg-none"><f:translate key="tx_jobfinder_label.job_list_header_business_type" />: </strong>{job.category.title}
							</f:link.action>
						</div>
					</div>

				</f:for>
			</div>

			<f:if condition="{settings.list.paginationBottom}">
				<f:render partial="Job/List/Pagination" arguments="{_all}"/>
			</f:if>

		</f:if>

	</f:section>
</div>
